Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.plugin.rendering
Class RenderingPluginTypeImpl

    java.lang.Object
      com.ibm.workplace.wcm.api.plugin.rendering.RenderingPluginTypeImpl

All Implemented Interfaces:
  Localized, RenderingPluginType

Direct Known Subclasses:
  RenderingPluginTypes.Connector, RenderingPluginTypes.Content, RenderingPluginTypes.Logic, RenderingPluginTypes.Other, RenderingPluginTypes.Page, RenderingPluginTypes.Portal, RenderingPluginTypes.Portlet, RenderingPluginTypes.RenderingState, RenderingPluginTypes.Social, RenderingPluginTypes.User

    public class RenderingPluginTypeImpl

extends java.lang.Object
implements RenderingPluginType

Simple concrete implementation of `RenderingPluginType`.

Example usage: RenderingPluginType myRenderingPluginType = new RenderingPluginTypeImpl("MyType", "MyBundle", "TitleKey", "MyBundle", "DescriptionKey");

Since:
  8.5

Constructor Summary
`RenderingPluginTypeImpl(java.lang.String name, java.lang.String titleKey, java.lang.String descriptionKey)` Constructor
`RenderingPluginTypeImpl(java.lang.String name, java.lang.String titleBundle, java.lang.String titleKey, java.lang.String descriptionBundle, java.lang.String descriptionKey)` Constructor

Method Summary
`java.lang.String` | `getDescription(java.util.Locale locale)` The translated description of the plugin type, for example "This is a Rendering Plugin that is installed with the Content Template Catalog.".
`ListModel<java.util.Locale>` | `getLocales()` Returns a list model containing the locales that are supported by this object.
`java.lang.String` | `getName()` Returns the name for this rendering plugin type.
`java.lang.String` | `getTitle(java.util.Locale locale)` The translated title of the plugin type, for example "Content Template Catalog Rendering Plugin".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderingPluginTypeImpl

    public RenderingPluginTypeImpl(java.lang.String name,
                                   java.lang.String titleKey,
                                   java.lang.String descriptionKey)

  Constructor

  Parameters:
    `name` - Plugin name
    `titleKey` - Plugin title key
    `descriptionKey` - Plugin description key

### RenderingPluginTypeImpl

    public RenderingPluginTypeImpl(java.lang.String name,
                                   java.lang.String titleBundle,
                                   java.lang.String titleKey,
                                   java.lang.String descriptionBundle,
                                   java.lang.String descriptionKey)

  Constructor

  Parameters:
    `name` - Plugin name
    `titleBundle` - Plugin title bundle
    `titleKey` - Plugin title key
    `descriptionBundle` - Plugin description bundle
    `descriptionKey` - Plugin description key

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `RenderingPluginType`
  Returns the name for this rendering plugin type. In the future, this may be used to invoke the plugin, using [RenderingPluginTypeName:RenderingPluginName]. Therefore, this should be a short `String` containing only alphanumeric characters. It must not contains spaces or special characters. For example, "IBM", "CTC" or "Dates".

  Specified by:
    `getName` in interface `RenderingPluginType`
  Returns:
    Name of the rendering plugin type
  See Also:
    `RenderingPluginType.getName()`

### getLocales

    public ListModel<java.util.Locale> getLocales()

  Description copied from interface: `Localized`
  Returns a list model containing the locales that are supported by this object. The presence of a locale in this list does not mean that a title and description is available, but rather that either one or both are available in that locale.

  Specified by:
    `getLocales` in interface `Localized`
  Returns:
    a list of locales defined for this object, returns an empty `ListModel` if no locales are supported.
  See Also:
    `Localized.getLocales()`

### getTitle

    public java.lang.String getTitle(java.util.Locale locale)

  Description copied from interface: `RenderingPluginType`
  The translated title of the plugin type, for example "Content Template Catalog Rendering Plugin".

  Specified by:
    `getTitle` in interface `Localized`
  Specified by:
    `getTitle` in interface `RenderingPluginType`
  Parameters:
    `locale` - the locale for which to retrieve the title, must not be `null`.
  Returns:
    the title of this node in the given locale. If a title is not available in the given locale, this method will return `null`. It is up to the invoker of the method to implement an appropriate fallback mechanism.
  See Also:
    `RenderingPluginType.getTitle(java.util.Locale)`

### getDescription

    public java.lang.String getDescription(java.util.Locale locale)

  Description copied from interface: `RenderingPluginType`
  The translated description of the plugin type, for example "This is a Rendering Plugin that is installed with the Content Template Catalog.".

  Specified by:
    `getDescription` in interface `Localized`
  Specified by:
    `getDescription` in interface `RenderingPluginType`
  Parameters:
    `locale` - the locale for which to retrieve the description, must not be `null`.
  Returns:
    the description of this node in the given locale. If a description is not available in the given locale, this method will return `null`. It is up to the invoker of the method to implement an appropriate fallback mechanism
  See Also:
    `RenderingPluginType.getDescription(java.util.Locale)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD